package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumBillExcelTemplate {

    SHOP_RENT(1, "商铺租金"),
    POINT_RENT(2, "多经点位租金"),
    SHOP_PROPERTY(3, "商铺物业费"),
    POINT_PROPERTY(4, "多经点位物业费"),
    DAILY(5, "日常费用"),
    OTHER(6, "其他费用"),
    OTHER_DEPOSIT(7, "其他押金"),;

    public static EnumBillExcelTemplate getEnum(Integer code) {
        for (EnumBillExcelTemplate value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumBillExcelTemplate(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
